﻿local IsInInstance = IsInInstance
local SetCVar = SetCVar

FriendlyPvPNameplates = { }
FriendlyPvPNameplates.eventHandler = CreateFrame("Frame")
FriendlyPvPNameplates.eventHandler:RegisterEvent("ZONE_CHANGED_NEW_AREA")

FriendlyPvPNameplates.eventHandler:SetScript("OnEvent", function(self, event, ...)
	if event ~= "ZONE_CHANGED_NEW_AREA" then
		return
	end
	
	local _, instanceType = IsInInstance()
	-- check if we are entering or leaving an arena/bg
	if instanceType == "arena" or instanceType == "pvp" then
		-- turn on
		SetCVar("nameplateShowFriends", 1)
	elseif instanceType ~= "arena" and (self.instanceType == "arena" or self.instanceType == "pvp") then
		-- turn off
		SetCVar("nameplateShowFriends", 0)
	end
	self.instanceType = instanceType
end)